#genarator-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  margin: 0 auto;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  justify-items: center;
  max-width: 1000px;
}

.card {
  max-width: 300px;
  margin: 15px 10px;
  position: relative;
}

.card img{
  width: 100%;    
}

.card .btn-one-photo {
  text-transform: uppercase;
  font-weight: 700;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  color: #000;
  cursor: pointer;
  padding: 10px;
  height: 42px;
  width: 240px;
  text-transform: uppercase;
  margin-right: 8px;
  border: none;
  border-radius: 0;
  background-color: #efefef;
  position: absolute;
  bottom: 5px;
  left: 5px;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

.card .btn-one-photo:focus {
  outline: none;
}

.card .btn-one-photo:hover {
  color: #fafafa;
  background-color: rgba(0, 0, 0, 0.657);
  border: 1px solid #000;
}

.mixer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  margin: 0 auto;
  max-width: 1000px;
  min-width: 290px;
  border: 1px solid #212121;
  padding-top: 0;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;

}

.mixer .reng {
  font-size: 18px;
  font-weight: 700;
  position: relative;
  margin-bottom: -5px;
  -ms-flex-pack: distribute;
      justify-content: space-around;
  width: 80%;
  margin-left: 15px;
}

.mixer .reng span:last-child {
  position: absolute;
  right: 5px;
}

.mixer span {
  text-align: center;
  font-size: 1.5em;
  font-weight: bold;
}


.mixer button {
  cursor: pointer;
  min-width: 200px;
  font-size: 20px;
  padding: 10px;
  border: 1px solid #fafafa;
  color: black;
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
  background-color: rgba(173, 173, 173, 0.8);
  text-transform: uppercase;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-weight: 700;
}


.mixer button:focus {
  outline: none;
}

.mixer button:hover {
  color: #fafafa;
  background-color: rgba(0, 0, 0, 0.657);
}

.mixer .size-gener {
  position: relative;
  font-size: 45px;
  color: #fafafa;
  margin: 30px auto;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-align: center;
  width: 70px;
  height: 70px;
  z-index: 20;
}

.mixer .size-gener::before {
  content: '';
  bottom: 15%;
  right: 0;
  left: 0;
  position: absolute;
  width: 70px;
  height: 70px;
  background-color: #212121a6;
  border-radius: 50%;
  z-index: -5;
}

@media (max-width: 998px) {
  .mixer {
    margin: 20px 10px;
  }
}

input[type=range] {
  -webkit-appearance: none;
  margin: 18px 0;
  width: 80%;
}

input[type=range]:focus {
  outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
  width: 80%;
  height: 2px;
  cursor: pointer;
  background: #000000;
}

input[type=range]::-webkit-slider-thumb {
  border: 1px solid #000000;
  height: 24px;
  width: 24px;
  border-radius: 50%;
  background: #ffffff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -12px;
}

input[type=range]:focus::-webkit-slider-runnable-track {
  background: #000000;
}

input[type=range]::-moz-range-track {
  width: 80%;
  height: 2px;
  cursor: pointer;
  background: #000000;
}

input[type=range]::-moz-range-thumb {
  border: 1px solid #000000;
  height: 24px;
  width: 24px;
  border-radius: 50%;
  background: #ffffff;
  cursor: pointer;
}

input[type=range]::-ms-track {
  width: 80%;
  height: 2px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}

input[type=range]::-ms-thumb {
  border: 1px solid #000000;
  height: 24px;
  width: 24px;
  border-radius: 50%;
  background: #ffffff;
  cursor: pointer;
}

input[type=range]:focus::-ms-fill-lower {
  background: #ffffff;
}

input[type=range]:focus::-ms-fill-upper {
  background: #ffffff;
}
